Package fr.gouv.vitam.common.server

# Class HeaderIdContainerFilter

java.lang.Object
fr.gouv.vitam.common.server.HeaderIdContainerFilter

All Implemented Interfaces:
  `jakarta.ws.rs.container.ContainerRequestFilter`, `jakarta.ws.rs.container.ContainerResponseFilter`

@PreMatching @Priority(1000) public class HeaderIdContainerFilter extends Object implements jakarta.ws.rs.container.ContainerRequestFilter, jakarta.ws.rs.container.ContainerResponseFilter
Manage the headers from the server-side perspective.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HeaderIdContainerFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `filter(jakarta.ws.rs.container.ContainerRequestContext requestContext)`
  Extracts the ids from the headers to save it in the VitamSession
  `void`
  `filter(jakarta.ws.rs.container.ContainerRequestContext requestContext, jakarta.ws.rs.container.ContainerResponseContext responseContext)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HeaderIdContainerFilter

    public HeaderIdContainerFilter()

- ## Method Details

  - ### filter

    public void filter(jakarta.ws.rs.container.ContainerRequestContext requestContext)
    Extracts the ids from the headers to save it in the VitamSession
    Specified by:
      `filter` in interface `jakarta.ws.rs.container.ContainerRequestFilter`
    Parameters:
      `requestContext` - `ContainerRequestFilter.filter(ContainerRequestContext)`
    See Also:
      - `ContainerRequestFilter.filter(ContainerRequestContext)`

  - ### filter

    public void filter(jakarta.ws.rs.container.ContainerRequestContext requestContext, jakarta.ws.rs.container.ContainerResponseContext responseContext) throws IOException
    Specified by:
      `filter` in interface `jakarta.ws.rs.container.ContainerResponseFilter`
    Throws:
      `IOException`